#!/bin/sh -e
#
# summary of how this script can be called:
#        * <postinst> `configure' <most-recently-configured-version>
#        * <old-postinst> `abort-upgrade' <new version>
#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
#        <new-version>
#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
#          <failed-install-package> <version> `removing'
#          <conflicting-package> <version>
# for details, see /usr/share/doc/packaging-manual/
#
# quoting from the policy:
#     Any necessary prompting should almost always be confined to the
#     post-installation script, and should be protected with a conditional
#     so that unnecessary prompting doesn't happen if a package's
#     installation fails and the `postinst' is called with `abort-upgrade',
#     `abort-remove' or `abort-deconfigure'.

umask 022

# /sbin/unix_chkpwd is installed setgid shadow by default; for NIS we need
# setuid root. (See #155583)
if ! dpkg-statoverride --list /sbin/unix_chkpwd >/dev/null; then
    dpkg-statoverride --update --add root root 4755 /sbin/unix_chkpwd
fi

case "$1" in
    configure)
		ucf /usr/share/yp/templates/var_yp_nicknames /var/yp/nicknames
        ;;
    *)
        ;;
esac

#DEBHELPER#
